CREATE TABLE cmp_stmt_group_templates_tl (
    STMT_GROUP_TEMPLATE_ID    NUMBER(18, 0),
    BUSINESS_GROUP_ID         NUMBER(18, 0)    NOT NULL,
    LANGUAGE                  VARCHAR2(16) ,
    SOURCE_LANG               VARCHAR2(16)     NOT NULL,
    NAME                      VARCHAR2(320)    NOT NULL,
    OBJECT_VERSION_NUMBER     NUMBER(9, 0)     NOT NULL,
    CREATED_BY                VARCHAR2(256)    NOT NULL,
    CREATION_DATE             TIMESTAMP(6)     NOT NULL,
    LAST_UPDATED_BY           VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_DATE          TIMESTAMP(6)     NOT NULL,
    LAST_UPDATE_LOGIN         VARCHAR2(128),
    STMT_GROUP_TEMPLATE_ID    NUMBER(18, 0),
    BUSINESS_GROUP_ID         NUMBER(18, 0)    NOT NULL,
    LANGUAGE                  VARCHAR2(16) ,
    SOURCE_LANG               VARCHAR2(16)     NOT NULL,
    NAME                      VARCHAR2(320)    NOT NULL,
    OBJECT_VERSION_NUMBER     NUMBER(9, 0)     NOT NULL,
    CREATED_BY                VARCHAR2(256)    NOT NULL,
    CREATION_DATE             TIMESTAMP(6)     NOT NULL,
    LAST_UPDATED_BY           VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_DATE          TIMESTAMP(6)     NOT NULL,
    LAST_UPDATE_LOGIN         VARCHAR2(128),
    CONSTRAINT pk_cmp_stmt_group_templates_tl PRIMARY KEY (STMT_GROUP_TEMPLATE_ID, LANGUAGE, STMT_GROUP_TEMPLATE_ID, LANGUAGE)
);
